<div class="left-sidenav h-100">
  <div class="main-menu-inner d-flex align-items-start flex-column">
    <div class="menu-body">
      <ul class="nav mainmenu">
        <li class="d-flex align-items-center sidemenu-title" >
          <div class="nav-item-hold px-3 text-center">
            <span class="nav-text"><b>{{'MENU' | translate}}</b></span>
          </div>
        </li>
        <li *hasClaim="'dashboard_view_dashboard'" class="nav-item d-flex align-items-center" [routerLink]="['/home']"
          [routerLinkActive]="['active','shadow']" routerLinkActive="router-link-active"
          [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold px-3">
            <!-- <i *ngIf="securityService.hasClaim('all_documents_edit_document')" class="nav-icon las la-tachometer-alt"></i>
            <i *ngIf="!securityService.hasClaim('all_documents_edit_document')" class="nav-icon las la-home"></i> -->
            <span class="nav-text">{{'HOME' | translate}}</span>
          </div>
        </li>
        <!-- <li class="nav-item" [routerLink]="['/']" [routerLinkActive]="['active','shadow']"
          routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold">
            <i class="nav-icon las la-list"></i>
            <span class="nav-text">{{'ASSIGNED_DOCUMENTS' | translate}}</span>
          </div>
        </li> -->

        <div *hasClaim="'all_documents_view_documents'">
          <li *ngFor="let category of categories" class="nav-item d-flex align-items-center" [routerLink]="['/document/'+category.description]"
            [routerLinkActive]="['active']" routerLinkActive="router-link-active"
            [routerLinkActiveOptions]="{exact:true}">
            <div class="nav-item-hold px-3 d-flex">
              <!-- <i class="nav-icon las la-file-pdf"></i> -->
              <!-- <i *ngIf="category.description == 'company-report'" class="nav-icon las la-building"></i>
              <i *ngIf="category.description == 'sector-report'" class="nav-icon las la-cogs"></i>
              <i *ngIf="category.description == 'strategy-report'" class="nav-icon las la-puzzle-piece"></i> -->
              <span class="nav-text">{{category.name}}</span>
            </div>
          </li>
        </div>
        <li *hasClaim="'all_documents_view_documents'" class="nav-item d-flex align-items-center" [routerLink]="['/analysts']"
          [routerLinkActive]="['active']" routerLinkActive="router-link-active"
          [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold px-3 d-flex">
            <span class="nav-text">{{'ANALYSTS' | translate}}</span>
          </div>
        </li>

        <!-- <li *hasClaim="'all_documents_view_documents'" class="nav-item" [routerLink]="['/company-report']"
          [routerLinkActive]="['active']" routerLinkActive="router-link-active"
          [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold">
            <i class="nav-icon las la-file-pdf"></i>
            <i class="nav-icon las la-building"></i>
            <span class="nav-text">{{'COMPANY_REPORT' | translate}}</span>
          </div>
        </li>
        <li *hasClaim="'all_documents_view_documents'" class="nav-item" [routerLink]="['/sector-report']"
          [routerLinkActive]="['active']" routerLinkActive="router-link-active"
          [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold">
            <i class="nav-icon las la-cogs"></i>
            <span class="nav-text">{{'SECTOR_REPORT' | translate}}</span>
          </div>
        </li>
        <li *hasClaim="'all_documents_view_documents'" class="nav-item" [routerLink]="['/strategy-report']"
          [routerLinkActive]="['active']" routerLinkActive="router-link-active"
          [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold">
            <i class="nav-icon las la-puzzle-piece"></i>
            <span class="nav-text">{{'STRATEGY_REPORT' | translate}}</span>
          </div>
        </li> -->
        <li *hasClaim="'document_category_view_categories'" class="nav-item d-flex align-items-center" [routerLink]="['/categories']"
          [routerLinkActive]="['active']" routerLinkActive="router-link-active"
          [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold px-3 d-flex">
            <!-- <i class="nav-icon las la-file-code"></i> -->
            <span class="nav-text">{{'DOCUMENT_CATEGORIES' | translate}}</span>
          </div>
        </li>
        <li *hasClaim="'document_audit_trail_view_document_audit_trail'" class="nav-item d-flex align-items-center"
          [routerLink]="['/document-audit-trails']" [routerLinkActive]="['active','shadow']"
          routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold px-3 d-flex">
            <!-- <i class="nav-icon las la-th-list"></i> -->
            <span class="nav-text">{{'DOCUMENTS_AUDIT_TRAIL' | translate}}</span>
          </div>
        </li>
        <li *hasClaim="'role_view_roles'" class="nav-item d-flex align-items-center" [routerLink]="['/roles']"
          [routerLinkActive]="['active','shadow']" routerLinkActive="router-link-active"
          [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold px-3 d-flex">
            <!-- <i class="nav-icon las la-tasks"></i> -->
            <span class="nav-text">{{'ROLES' | translate}}</span>
          </div>
        </li>
        <li *hasClaim="'user_view_users'" class="nav-item d-flex align-items-center" [routerLink]="['/users']"
          [routerLinkActive]="['active','shadow']" routerLinkActive="router-link-active"
          [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold px-3 d-flex">
            <!-- <i class="nav-icon las la-user"></i> -->
            <span class="nav-text">{{'USERS' | translate}}</span>
          </div>
        </li>
        <!-- <li *hasClaim="'user_assign_user_role'" class="nav-item" [routerLink]="['/roles/users']"
          [routerLinkActive]="['active','shadow']" routerLinkActive="router-link-active"
          [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold">
            <i class="nav-icon las la-id-badge"></i>
            <span class="nav-text">{{'ROLE_USER' | translate}}</span>
          </div>
        </li> -->
        <!-- <li class="nav-item" *hasClaim="'reminder_view_reminders'" [routerLink]="['/reminders']"
          [routerLinkActive]="['active','shadow']" routerLinkActive="router-link-active"
          [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold">
            <i class="nav-icon las la-bell"></i>
            <span class="nav-text">{{'REMINDER' | translate}}</span>
          </div>
        </li> -->
        <li *hasClaim="'login_audit_view_login_audit_logs'" class="nav-item d-flex align-items-center" [routerLink]="['/login-audit']"
          [routerLinkActive]="['active','shadow']" routerLinkActive="router-link-active"
          [routerLinkActiveOptions]="{exact:true}">
          <div class="nav-item-hold px-3 d-flex">
            <!-- <i class="nav-icon las la-th-list"></i> -->
            <span class="nav-text">{{'LOGIN_AUDITS' | translate}}</span>
          </div>
        </li>
        <!-- <li [ngClass]="onActiveUrl()" class="nav-item" *hasClaim="['email_view_smtp_settings']"
          routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact:true}">
          <input type="checkbox" id="products">
          <label for="products">
            <i class="nav-icon las la-cog"></i>
            {{'SETTINGS' | translate}} &nbsp;&nbsp;
            <i class="la la-angle-down"></i></label>
          <ul class="submenu">

            <li *hasClaim="'email_view_smtp_settings'" [routerLink]="['/email-smtp']"
              [routerLinkActive]="['active','shadow']" routerLinkActive="router-link-active"
              [routerLinkActiveOptions]="{exact:true}">
              <label>{{'EMAIL_SMTP_SETTINGS' | translate}}</label>
            </li>
          </ul>
        </li> -->
      </ul>
    </div>
  </div>
  <div class="cust-menu-footer d-flex align-items-center justify-content-center" role="button" (click)="openContactInfo()">
    <div>
      <img src="assets/images/contact_us_logo.png" class="icon-sidebar">
      <span class="pl-2 mat-small text-orange-primary"><b>{{"CONTACT_US" | translate}}</b></span>
    </div>
  </div>

</div>
